> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/plugin/plugin-version-connector-info.md).

# Plugin Version Connector Info

Operations related to Plugin Version Connector Info that stores the connector display name, description and icon at the plugin version level for search and display purposes.

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/connector\_info

> Get the Connector Info for the Plugin Version

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Connector Info","description":"Operations related to Plugin Version Connector Info that stores the connector display name, description and icon at the plugin version level for search and display purposes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/connector_info":{"get":{"description":"","operationId":"getPluginVersionConnectorInfo","summary":"Get the Connector Info for the Plugin Version","tags":["Plugin Version Connector Info"],"parameters":[{"in":"path","schema":{"type":"string"},"explode":false,"description":"ID of the plugin","style":"simple","name":"plugin_id","required":true},{"schema":{"type":"string"},"style":"simple","name":"plugin_version_id","description":"ID of the plugin version","required":true,"in":"path","explode":false}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionConnectorInfoResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PluginVersionConnectorInfoResource":{"type":"object","properties":{"plugin_version_id":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"icon_asset_id":{"type":"string","readOnly":false},"icon_asset_url":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /plugins/{plugin\_id}/versions/{plugin\_version\_id}/connector\_info

> Update the Plugin Version Connector Info. Create it if not existing.

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Connector Info","description":"Operations related to Plugin Version Connector Info that stores the connector display name, description and icon at the plugin version level for search and display purposes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/connector_info":{"put":{"requestBody":{"description":"The plugin version Connector Info to upsert","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginVersionConnectorInfoResource"}}},"required":true},"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginVersionConnectorInfoResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"upsertPluginVersionConnectorInfo","parameters":[{"required":true,"description":"ID of the plugin","style":"simple","schema":{"type":"string"},"explode":false,"name":"plugin_id","in":"path"},{"schema":{"type":"string"},"required":true,"explode":false,"name":"plugin_version_id","in":"path","description":"ID of the plugin version","style":"simple"}],"tags":["Plugin Version Connector Info"],"summary":"Update the Plugin Version Connector Info. Create it if not existing."}}},"components":{"schemas":{"PluginVersionConnectorInfoResource":{"type":"object","properties":{"plugin_version_id":{"type":"string","readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"icon_asset_id":{"type":"string","readOnly":false},"icon_asset_url":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/plugin/plugin-version-connector-info.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
